'use server'

import AppCatalogRender from '@/components/shared/sidebar/app-catalog-render'
import {db} from '@/lib/db/prisma/client'

const appCatalog = async () => {
	return db.category.findMany({
		include: {
			locales: true
		}
	})
}

export default async function AppCatalog() {
	return <AppCatalogRender items={await appCatalog()} />
}
